#Download base image ubuntu
FROM ubuntu

# Update Ubuntu Software repository
RUN apt-get update

# Install libraries
RUN apt-get -y install python
RUN apt-get -y install python-clang-3.9
RUN apt-get -y install gcc
RUN apt-get -y install --reinstall make
RUN apt-get -y install valgrind
RUN apt-get -y install clang-3.9
RUN apt-get -y install clang
RUN ln -s /usr/lib/x86_64-linux-gnu/libclang-3.9.so.1 /usr/lib/x86_64-linux-gnu/libclang-3.9.so
RUN apt-get -y install vim
RUN apt-get -y install build-essential g++
RUN apt-get -y install openssh-client

# Copy files from git to the root of docker
COPY SDK4ED_energy_toolkit /